#include <bits/stdc++.h>
#define maxn 200010
using namespace std;

int n, m;
long long ans, a[maxn];

int main(){
	ios_base::sync_with_stdio(0);
	cout.tie(0);
	cin.tie(0);
	cin >> n >> m;
	for(int i = 0; i < n; ++i){
		cin >> a[i];
	}
	for(int i = 0; i < m; ++i){
		int u,v;
		cin >>u>>v;
		--u,v--;
		ans += max(a[u]+a[v], 0-a[u]-a[v]);
	}
	cout << ans;
}